/*
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.3
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
:root {
    --blog-large-content-width: 1050px;
    --blog-regular-content-width: 800px;
    --blog-max-content-width: 1250px;
    --blog-desctop-screen-width: 1270px;
    --blog-laptop-screen-width: 1024px;
    --blog-tablet-screen-width: 768px;
    --blog-mobile-screen-width: 540px;
}

#footerIframe{
    width: 100%;
    border: none;
    margin-bottom: -6px;
  }

  #headerIframe{
    width: 100%;
    border: none;
    position: absolute;
    z-index: 999;

  }

  #nlform {
    display: none;
}

.elementor-element .elementor-widget-theme-post-content .e-con {
    --gap: 40px 40px !important;
    --content-width: 100% !important;
    --width: 100% !important;
	--min-height: 100%!important ;
    --padding-top: 0 !important;
    --padding-bottom: 0 !important;
    --padding-left: 0 !important;
    --padding-right: 0 !important;
	--flex-direction: column!important;
}




.elementor-widget-theme-post-content .e-con > .e-con-inner p a:not(.item_link)  {
    position: relative;
    font-weight: 600!important;
}



.elementor-widget-theme-post-content .e-con > .e-con-inner p a:not(.item_link):before  {
    content: '';
    display: block;
    position: absolute;
    background-color: var(--tp-global-color-primary);
    width: calc(100% + 6px);
    height: 100%;
    z-index: -1;
    top: 0;
    left: -3px;
    opacity: 0;
    transition: 0.3s all;
 }

 .elementor-widget-theme-post-content .e-con > .e-con-inner p a:not(.item_link):hover:before  {
    opacity: 1;
 }





.elementor-widget-theme-post-content .e-con:not(:last-child) {
    margin-bottom: 90px;
}

div[data-elementor-type="single-post"]{
    margin: 0 auto;
 }

@media (max-width:767px){
    div[data-elementor-type="single-post"]{
       width: 100%!important;
    }
   }

   @media (min-width:768px) and (max-width:1024px){
    div[data-elementor-type="single-post"]{
        width: var( --blog-tablet-screen-width)!important;
    }
   }

   @media (min-width:1025px) and (max-width:1309px){
    div[data-elementor-type="single-post"]{
        width: var( --blog-laptop-screen-width)!important;
    }
   }



@media (min-width: 1025px) {
    #headerIframe + div {
        margin-top: 180px;
    }
}
@media screen and (max-width: 1024px) {
    :root {
        --blog-regular-content-width: 100%;
        --blog-large-content-width: 100%;
        --blog-max-content-width: 100%;
    }

    #headerIframe{
       max-height: 74px!important;
       position: fixed;
      }
    .elementor-widget-theme-post-content .e-con:not(:last-child) {
        margin-bottom: 40px;
    }
}

@media (min-width:1025px) and (max-width:1309px){
    :root {
        --blog-max-content-width: 100%;
    }
}

body.wp-child-theme-hello-theme-child-master {
    overflow: auto !important;
}

body.wp-child-theme-hello-theme-child-master.tp-modal-open {
    overflow: scroll !important;
}
